org.apache.http.cookie

## Interface ClientCookie

- All Superinterfaces:
    Cookie
  所有已知实现类：
    BasicClientCookie ， BasicClientCookie2

      public interface ClientCookie
      extends Cookie

  ClientCookie扩展了标准的`Cookie`接口，具有额外的客户端特定功能，能够完全按原始服务器指定的方式检索原始的cookie属性。 这对于生成`Cookie`标头很重要，因为一些Cookie规范要求`Cookie`标题只有在`Set-Cookie`标题中指定时才包含某些属性。

  请勿使用标记为@Obsolete的属性。 它们被RFC 6265废弃了。

  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMENT_ATTR`
    `static String` | `COMMENTURL_ATTR`
    `static String` | `DISCARD_ATTR`
    `static String` | `DOMAIN_ATTR`
    `static String` | `EXPIRES_ATTR`
    `static String` | `MAX_AGE_ATTR`
    `static String` | `PATH_ATTR`
    `static String` | `PORT_ATTR`
    `static String` | `SECURE_ATTR`
    `static String` | `VERSION_ATTR`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsAttribute(String name)`
    `String` | `getAttribute(String name)`

    - ### Methods inherited from interface org.apache.http.cookie.Cookie

      `getComment, getCommentURL, getDomain, getExpiryDate, getName, getPath, getPorts, getValue, getVersion, isExpired, isPersistent, isSecure`

- - ### 字段详细信息

    - #### VERSION_ATTR

          @Obsolete
          static final String VERSION_ATTR

      另请参见：
        Constant Field Values

    - #### PATH_ATTR

          static final String PATH_ATTR

      另请参见：
        Constant Field Values

    - #### DOMAIN_ATTR

          static final String DOMAIN_ATTR

      另请参见：
        Constant Field Values

    - #### MAX_AGE_ATTR

          static final String MAX_AGE_ATTR

      另请参见：
        Constant Field Values

    - #### SECURE_ATTR

          static final String SECURE_ATTR

      另请参见：
        Constant Field Values

    - #### COMMENT_ATTR

          @Obsolete
          static final String COMMENT_ATTR

      另请参见：
        Constant Field Values

    - #### EXPIRES_ATTR

          static final String EXPIRES_ATTR

      另请参见：
        Constant Field Values

    - #### PORT_ATTR

          @Obsolete
          static final String PORT_ATTR

      另请参见：
        Constant Field Values

    - #### COMMENTURL_ATTR

          @Obsolete
          static final String COMMENTURL_ATTR

      另请参见：
        Constant Field Values

    - #### DISCARD_ATTR

          @Obsolete
          static final String DISCARD_ATTR

      另请参见：
        Constant Field Values

  - ### 方法详细信息

    - #### getAttribute

          String getAttribute(String name)

    - #### containsAttribute

          boolean containsAttribute(String name)

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585